{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:warped_fungus_on_a_stick",
          "functions": [
            {
              "function": "minecraft:set_attributes",
              "modifiers": [
                {
                  "id": "def",
                  "attribute": "minecraft:generic.attack_speed",
                  "amount": -0.35,
                  "operation": "add_value",
                  "slot": "mainhand"
                },
                {
                  "id": "def",
                  "attribute": "minecraft:generic.attack_damage",
                  "amount": 1,
                  "operation": "add_value",
                  "slot": "mainhand"
                }
              ]
            },
            {
              "function": "minecraft:set_name",
              "name": {
                "text": "Dash Movement",
                "color": "#dafffe",
                "italic": false
              }
            },
            {
              "function": "minecraft:set_custom_data",
              "tag": "{svm_ep.sword_ability:1b,svm_ep.sword_ability_movement:2b}"
            },
            {
              "function": "minecraft:set_custom_model_data",
              "value": 101
            },
            {
              "function": "minecraft:set_lore",
              "entity": "this",
              "lore": [
                {
                  "text": "- Sword Ability",
                  "color": "gray",
                  "bold": true,
                  "italic": true
                },
                {
                  "text": "| Right-click to change slot",
                  "color": "gray",
                  "italic": false
                },
                {
                  "text": "| Put in offhand to apply change",
                  "color": "gray",
                  "italic": false
                },
                {
                  "text": ""
                },
                {
                  "text": "Requires Sword Style",
                  "color": "white",
                  "bold": true,
                  "italic": false
                }
              ],
              "mode": "replace_all"
            }
          ]
        }
      ]
    }
  ]
}